Get action template
curl --request GET \
--url https://staging.api.us.aptlydone.com/settings/v1/action-templates/{id}import requests
url = "https://staging.api.us.aptlydone.com/settings/v1/action-templates/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://staging.api.us.aptlydone.com/settings/v1/action-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.711Z",
"message": "Success",
"data": {
"id": "c0eb4afc-1629-489b-8024-b1b9511f53ab",
"tenantId": "f9697668-d4ea-4d32-a424-1c66016c0953",
"name": "Send Email",
"type": {
"id": "101c8f60-237f-4b8b-aa5f-d38ba764bc24",
"tenantId": "8b9add9e-fb17-4e9d-b97f-3dfe6f5cd197",
"type": "email",
"typeIcon": "mail",
"status": true,
"isCustom": true,
"isDeleted": false,
"deletedAt": "2024-01-12T00:00:00.000Z",
"createdAt": "2024-01-12T00:00:00.000Z",
"updatedAt": "2024-01-12T00:00:00.000Z"
},
"description": "Template for sending notification emails",
"source": "Source",
"status": true,
"isDeleted": false,
"deletedAt": "2024-01-12T00:00:00.000Z",
"createdAt": "2024-01-12T00:00:00.000Z",
"updatedAt": "2024-01-12T00:00:00.000Z"
}
}Actions
Get action template
GET
/
v1
/
action-templates
/
{id}
Get action template
Path Parameters
Response
200 - application/json
Action template details retrieved successfully
Was this page helpful?
āI